#include <iostream>
#include <cstdio>
#include <cstring>
#include <algorithm>
#include <map>
#include <set>
#define ll long long

const int MAXN=1e5+10;
const int modp=1e9+7;
using namespace std;

int main(){
	freopen("traverse.in","r",stdin);
	freopen("traverse.out","w",stdout);
	
	printf("2");
	
	fclose(stdin);
	fclose(stdout);
	return 0;
} 

/*
void flower_for_my_last_competition(int the_last_year_of_NOIP){
	again.I(am_feeling(desperate)){
		however_a_power(push_me_ahead);
		I.wish( (the_person.see_this_text? find_out_the_beauty_of_the_world:AK_IOI) );
		I.wish( a_even_better_life_for_everyone_to_live );
		I.wish( all_of_you , prevented_from(disaster_and_failure) );
		I.wish( a_peaceful_world.where(has_no_war_and_enemy) );
		however_this_cannot_be_seen_by_myself();
	}
	all_of_all(The_best_wishes);
	return ;
}
By high school Senior2 student *mglf;
24/11/30 12:52:48;
*/
